/**
 * DevExtreme (cjs/renovation/components.js)
 * Version: 22.1.0 (build 22018-0314)
 * Build date: Tue Jan 18 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
module.exports = [{
    name: "Button",
    pathInRenovationFolder: "ui/button.j",
    pathInJSFolder: "ui/button.js"
}, {
    name: "CheckBox",
    pathInRenovationFolder: "ui/editors/check_box/check_box.j",
    pathInJSFolder: "ui/check_box.js"
}, {
    name: "ScrollView",
    pathInRenovationFolder: "ui/scroll_view/scroll_view.j",
    pathInJSFolder: "ui/scroll_view.js",
    pathToWrapper: "/testing/helpers/renovationScrollViewHelper.js",
    inProgress: true
}, {
    name: "Scrollable",
    pathInRenovationFolder: "ui/scroll_view/scrollable.j",
    pathInJSFolder: "ui/scroll_view/ui.scrollable.js",
    pathToWrapper: "/testing/helpers/renovationScrollableHelper.js",
    inProgress: true
}, {
    name: "Scheduler",
    pathInRenovationFolder: "ui/scheduler/scheduler.j",
    pathInJSFolder: "ui/scheduler.js",
    inProgress: true
}, {
    name: "Pager",
    pathInRenovationFolder: "ui/pager/pager.j",
    pathInJSFolder: "ui/pager.js",
    pathToWrapper: "/testing/helpers/renovationPagerHelper.js"
}];
