/**
 * DevExtreme (cjs/ui/data_grid/ui.data_grid.js)
 * Version: 22.1.0 (build 22018-0314)
 * Build date: Tue Jan 18 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.default = void 0;
var _uiData_grid = _interopRequireDefault(require("./ui.data_grid.base"));
require("./ui.data_grid.state_storing");
require("./ui.data_grid.selection");
require("./ui.data_grid.column_chooser");
require("./ui.data_grid.grouping");
require("./ui.data_grid.master_detail");
require("./ui.data_grid.editing");
require("./ui.data_grid.editing_row_based");
require("./ui.data_grid.editing_form_based");
require("./ui.data_grid.editing_cell_based");
require("./ui.data_grid.validating");
require("./ui.data_grid.virtual_scrolling");
require("./ui.data_grid.filter_row");
require("./ui.data_grid.header_filter");
require("./ui.data_grid.filter_sync");
require("./ui.data_grid.filter_builder");
require("./ui.data_grid.filter_panel");
require("./ui.data_grid.search");
require("./ui.data_grid.pager");
require("./ui.data_grid.columns_resizing_reordering");
require("./ui.data_grid.keyboard_navigation");
require("./ui.data_grid.summary");
require("./ui.data_grid.column_fixing");
require("./ui.data_grid.adaptivity");
require("./ui.data_grid.virtual_columns");
require("./ui.data_grid.export");
require("./ui.data_grid.focus");
require("./ui.data_grid.row_dragging");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
var _default = _uiData_grid.default;
exports.default = _default;
module.exports = exports.default;
module.exports.default = exports.default;
