/**
 * DevExtreme (esm/renovation/ui/grids/data_grid_light/views/table_header.js)
 * Version: 22.1.0 (build 22018-0314)
 * Build date: Tue Jan 18 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["columns"];
import {
    createVNode,
    createComponentVNode
} from "inferno";
import {
    BaseInfernoComponent
} from "@devextreme/runtime/inferno";
import {
    Table
} from "../widgets/table";
import {
    HeaderRow
} from "../widgets/header_row";
export var viewFunction = viewModel => createVNode(1, "div", "dx-datagrid-headers dx-datagrid-nowrap", createVNode(1, "div", "dx-datagrid-content dx-datagrid-scroll-container", createComponentVNode(2, Table, {
    children: createComponentVNode(2, HeaderRow, {
        columns: viewModel.props.columns
    })
}), 2, {
    role: "presentation"
}), 2, {
    role: "presentation"
});
export var TableHeaderProps = {
    columns: Object.freeze([])
};
export class TableHeader extends BaseInfernoComponent {
    constructor(props) {
        super(props);
        this.state = {}
    }
    get restAttributes() {
        var _this$props = this.props,
            restProps = _objectWithoutPropertiesLoose(_this$props, _excluded);
        return restProps
    }
    render() {
        var props = this.props;
        return viewFunction({
            props: _extends({}, props),
            restAttributes: this.restAttributes
        })
    }
}
TableHeader.defaultProps = TableHeaderProps;
